/*
    Document   : custom
    Created on : 10.05.2015, 14:51:47
    Author     : karsten
    Description: ueberschreiben von bootstrap und eigene Formatierungen
*/

body { font-family: 'Quattrocento Sans', sans-serif; font-size: 16px;  }
body, html {
	box-sizing: border-box;
	height: 100%;
	padding: 0;
	margin: 0;
}
/* Sortierung der Elemente, bei kleinen Bildschirmen gedreht */
#contact {
  display: flex;
  flex-direction: row;
}
#details_area {
  order: 2;
	width: auto;
}
#cv_area {
  order: 1;
	width: auto;
}


h1 { color:#31708f; }
h2 { font-size:200%; }
h3 { font-size:150%; padding-bottom:8px; }
h4, h5 { font-weight: bold; }

#id_headframe {
	height: 250px;
}
#titlediv {
	height:60px;
	background-color:#fff;
	opacity:0.5;
	margin-top:175px;
	position: relative;
}
#title {
	width: 100%;
	margin:0;
	padding:0;
	font-size:32px;
	padding-left:20px;
	line-height:60px;
	color:#222;
	font-family: 'Mulish', sans-serif;
}
.titlecontact {
	position:absolute;
	right:40px;
	top:15px;
}
.hamburger {
	position: absolute;
	top: 10px;
	right: 10px;
	z-index: 1000;
	display: none;
}

.author { font-variant: small-caps; }

/* aktiver Menuepunkt bekommt caret am boden */
.nav { font-size: 125%; }
.nav .active {
  color: #414142;
  background-color:#fff; opacity: 1;
}
.nav .active:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 0;
  margin-left: -5px;
  vertical-align: middle;
  content: " ";
  border-right: 7px solid transparent;
  border-bottom: 7px solid;
  border-left: 7px solid transparent;
}

.navbar-fixed {
    top: 0;
    z-index: 100;
    position: fixed;
    width: 100%;
    background-color: #f0f0f0;
    border-bottom:1px solid #ccc;
    z-index: 100;
}

#id_nav_bar { background-color:#fff; }
.whitebg { opacity:1; }
.whitebgtrans { opacity:0.75; opacity: 1; z-index: 111;  }

/* Aenderungen am Aussehen von bootstrap laut Mai 2017 */
.dropdown-menu {
	-webkit-box-shadow: 0 0 0 rgba(0,0,0,.175) !important;
  box-shadow: 0 0 0 rgba(0,0,0,.175) !important;
	min-width: 100% !important;
}
.dropdown-menu a {
  color: #337ab7 !important;
}


.roundedbox {
-webkit-border-radius: 5px;
-moz-border-radius: 5px;
border-radius: 5px;
-webkit-box-shadow: 0px 0px 5px #C0C0C0;
-moz-box-shadow: 0px 0px 5px #C0C0C0;
box-shadow: 0px 0px 5px #C0C0C0;
}

figure.newspic {
	width: auto;
	max-width: 250px;
	float: left;
	margin: 0 10px 10px 0;
}
figure.newspic figcaption {
	font-size: 12px;
	color: #777;
	margin: 8px 0;
}

#footer {
	line-height:15px;
	background-color:#f0f0f0;
	height:auto;
	min-height: 55px;
	margin-top:20px;
	padding-top:20px;
	border-top:1px solid #d0d0d0;
}

#map {
	width: 100%;
	max-width: 1280px;
	height: 600px;
	max-height: 600px;
	border: 1px solid #999;
	border-radius: 6px;
}

/* add responsiveness */
@media screen and (max-width:400px) {

	h1 { font-size:170%; }
	h2 { font-size:150%; }
	h3 { font-size:120%; }

	#id_headframe {
		background-image: none !important;
		height: auto !important;
		margin-top: 0;
	}
	#titlediv {
		height: 80px;
		margin-top:10px;
		padding-top:15px;
	}

  figure.newspic, .news img {
    display: none;
  }

  img.teaching {
    display: none;
  }
	#title {
		font-size: 16px;
		font-weight: bold;
		line-height: 30px;
		padding-left: 0;
	}
	.titlecontact {
		position:absolute;
		right:50px;
		top:15px;
	}
/* Sortierung der Elemente, bei kleinen Bildschirmen gedreht */
	#contact {
	  display: flex;
	  flex-direction: column;
	}
	#details_area {
	  order: 1;
		width: 100%;
	}
	#cv_area {
	  order: 2;
		width: 100%;
	}
}

@media screen and (min-width:401px) and (max-width:768px) {

	h1 { font-size:180%; }
	h2 { font-size:160%; }
	h3 { font-size:130%; }

	#id_headframe {
		background-image: none !important;
		height: auto !important;
		margin-top: 0;
	}
	#titlediv {
		height: 80px;
		margin-top:10px;
		padding-top:15px;
	}


  .news img {
    display: none;
  }

	figure.newspic {
		float: none !important;
	}

  img.teaching {
    display: none;
  }

	#title {
		font-size: 18px;
		font-weight: bold;
		line-height: 30px;
		padding-left: 0;
		padding-right: 100px !important;
	}
	.titlecontact {
		position:absolute;
		right:50px;
		top:15px;
	}
/* Sortierung der Elemente, bei kleinen Bildschirmen gedreht */
	#contact {
	  display: flex;
	  flex-direction: column;
	}
	#details_area {
	  order: 1;
		width: 100%;
	}
	#cv_area {
	  order: 2;
		width: 100%;
	}
}

@media screen and (max-width:850px) {

	.nav {
		display: none;
	}
	.hamburger {
		display: block;
	}

	#title {
		padding-right: 60px;
	}

	.nav.open {
	  display: block;
	  float: none;
	  clear: both;
	  font-size: 100%;
	}

}

@media screen and (min-width:768px) and (max-width:950px) {

	h1 { font-size:200%; }
	h2 { font-size:180%; }
	h3 { font-size:140%; }

	#title {
		font-size: 24px;
		padding-right: 50px;
	}
}

/* add print styles */
@media print {
	.nav {
		display: none;
	}

	a[href]:after {
	  content: none !important;
	}
	a {
		text-decoration: none;
		color: #666;
	}

	#id_headframe {
		background-image: none !important;
		height: auto !important;
		margin-top: 0;
	}
	#titlediv {
		height: 60px;
		margin-top:10px;
		padding-top:15px;
		border-bottom: 1px solid #333;
	}
	#title {
		font-size: 20px;
		line-height: 30px;
	}

	.news img {
	  display: none;
	}

	img.teaching {
	  display: none;
	}

	#distinctions, #talks, #misc, #footer {
		display: none;
	}
}
